package com.supervision.websocket.dto;

import lombok.Data;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Data
public class WebSocketLoginDTO {

    private String userId;

    private String uuid;

    private String sessionId;

    private String loginTime;

    public WebSocketLoginDTO(String uuid, String userId, String sessionId) {
        this.userId = userId;
        this.uuid = uuid;
        this.sessionId = sessionId;
        this.loginTime = LocalDateTime.now().format(DateTimeFormatter.ISO_LOCAL_DATE_TIME);
    }

    public WebSocketLoginDTO() {
    }
}
